
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Connect to Oracle RAC Span FireWall [Use Python Test] / iVAN</title>

    <meta name="description" content="Connect to Oracle RAC Span FireWall [Use Python Test] 某数据库扩容案例,数据库从原有的REDHAT CS模式改为RAC模式.应用程序原来使用的是单实例,在新环境上线前的调试过程当中遇到了一些问题,记录一下解决过程. 新环境如下:   最左边的是应用程序,中间是防火墙,右边是RAC节点. 应用程序和RAC节点的连接经过了一道防火墙,防火墙在这里冲当了NAT(映射数据库的两个VIP)的角色.也就是说客户端看到的IP和数据库本身的VIP是不一样的(这是问题的关键). 服务端的配置如下: xxxx_a PREF: xxxx1 AVAIL: xxxx2 xx">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Connect to Oracle RAC Span FireWall [Use Python Test]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>某数据库扩容案例，数据库从原有的REDHAT CS模式改为RAC模式。应用程序原来使用的是单实例，在新环境上线前的调试过程当中遇到了一些问题，记录一下解决过程。</p>
<p>新环境如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMzgyLnBoLjEyNi5uZXQvUzh3QW9STTdKc3hlY3hreUhqNTJUUT09LzI0NDgyNjkzNDc0MzA0MDE1ODMuanBn.jpg"><br />
 </p>
<p>最左边的是应用程序，中间是防火墙，右边是RAC节点。</p>
<p>应用程序和RAC节点的连接经过了一道防火墙，防火墙在这里冲当了NAT（映射数据库的两个VIP）的角色。也就是说客户端看到的IP和数据库本身的VIP是不一样的（这是问题的关键）。</p>
<p>服务端的配置如下：</p>
<p>xxxx_a PREF: xxxx1 AVAIL: xxxx2</p>
<p>xxxx_b PREF: xxxx2 AVAIL: xxxx1</p>
<p>当前的实例与服务对应情况如下</p>
<p>Service xxxx_a is running on instance(s) xxxx1</p>
<p>Service xxxx_b is running on instance(s) xxxx2</p>
<p>通过配置客户端的FAILOVER模式连接RAC节点，</p>
<p>配置一的模式:</p>
<p>(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=${HOST_1})(PORT=xxxx))(ADDRESS=(PROTOCOL=TCP)(HOST=${HOST_2})(PORT=xxxx)))(LOAD_BALANCE = OFF)(FAILOVER = ON)(CONNECT_DATA=(SERVER = DEDICATED)(SERVICE_NAME=xxxx_b)(FAILOVER_MODE =(TYPE = SELECT)(METHOD = BASIC)(RETRIES = 600)(DELAY = 1))))</p>
<p>配置二的模式:</p>
<p>(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=${HOST_2})(PORT=xxxx))(ADDRESS=(PROTOCOL=TCP)(HOST=${HOST_1})(PORT=xxxx)))(LOAD_BALANCE = OFF)(FAILOVER = ON)(CONNECT_DATA=(SERVER = DEDICATED)(SERVICE_NAME=xxxx_b)(FAILOVER_MODE =(TYPE = SELECT)(METHOD = BASIC)(RETRIES = 600)(DELAY = 1))))</p>
<p>配置一和配置二的不同之处在于，HOST1和HOST2的先后。</p>
<p>准备PYTHON连接数据库的环境：</p>
<p>下载PYTHON连接数据库需要的so文件，32位版本cx_Oracle-5.0.3-10g-py24-1.i386.rpm，64位版本cx_Oracle-5.0.3-10g-py24-1.x86_64.rpm。</p>
<p>1. 连接模式一的测试：</p>
<p>shell&gt; python</p>
<p>import cx_Oracle</p>
<p>dsn1=’模式一拷贝过来’</p>
<p>conn=cx_Oracle.connect(‘user’,'pwd’,dsn1)</p>
<p>cursor = conn.cursor()</p>
<p>cursor.execute(“select * from tbl_test”)</p>
<p>print cursor.fetchall()</p>
<p>执行到conn=cx_Oracle.connect(‘user’,'pwd’,dsn1)时，一直等待连接，最后报连接异常。</p>
<p>cx_Oracle.DatabaseError: ORA-12170: TNS:Connect timeout occurred</p>
<p>2. 连接模式二的测试：</p>
<p>shell&gt; python</p>
<p>import cx_Oracle</p>
<p>dsn1=’模式二拷贝过来’</p>
<p>conn=cx_Oracle.connect(‘user’,'pwd’,dsn1)</p>
<p>cursor = conn.cursor()</p>
<p>cursor.execute(“select * from tbl_test”)</p>
<p>print cursor.fetchall()</p>
<p>连接正常，返回结果正常。</p>
<p>关闭非当前连接节点，重新执行SQL可以正常返回。</p>
<p>3. 修复连接模式一的异常:</p>
<p>把节点一的监听关闭。</p>
<p>重新使用连接模式一连接数据库，连接正常，返回结果正常。</p>
<p>4.在内网测试，（客户端和数据库的连接不过防火墙）：</p>
<p>首先把关闭的监听开启，等待SERVICE在注册后，重新测试连接模式一和连接模式二,连接正常。关闭非当前连接节点，重新执行SQL可以正常返回。</p>
<p>总结:</p>
<p>这个测试结合了服务端的TAF特性和客户端的TAF特性。</p>
<p>并且反应了服务端TAF和客户端TAF的不同。</p>
<p>服务端TAF对于应用来说是透明的，最终建立连接的实例一个要看服务的FAILOVER模式，对于本例使用的AVAIL+ACTIVE模式的情况，连接的实例是跑服务的实例。</p>
<p>客户端的TAF配置决定了客户端首先和哪个实例建立联系，所以出现了通过防火墙时有一种情况不通，是因为首先建立联系的监听会返回给客户端REMOTE监听的VIP，而这个IP是内网IP，所以客户端再次与另一个实例建立联系就不可能了。而把其中的一个节点关闭后，客户端不能与第一个IP建立联系，自动向第二个IP（外网）发起请求，当然就可以成功了。</p>
<p>因为内网的话IP都是互通的，所以在内网不管怎么配置都不会有问题。</p>
<p>其实要解决这个问题的话，可以通过DNS解析来实现。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:59:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Connect to Oracle RAC Span FireWall [Use Python Test]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLO2daM.html" rel="bookmark">详解Oracle RAC的Failover</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle  RAC 同时具备HA(High Availiablity) 和LB(LoadBalance). 而其高可用性的基础就是Failover(故障转移). 它指集群中任何一个节点的故障都不会影响用户的使用,连接到故障节点的用户会被自动转移到健康节点,从用户感受而言, 是感觉不到这种切换. Oracle 10g RAC 的Failover 可以分为3种: 1. Client-Side Connect time Failover 2. TAF 3. Service-Side TAF 注意事			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxPRkb.html" rel="bookmark">ORACLE RAC的监听配置简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle RAC 监听器的配置与单实例稍有不同,但原理和实现方法基本上是相同的.在Oracle中 tns进程用于为指定网络地址上的一个或多个Oracle 实例提供服务注册,并响应来自客户端对该服务提出的连接请求.一旦连接请求到达,并派生出一个服务器进程建立服务器与用户端之间的连接(专有服务器dedicated server)或转发服务请求(共享服务器模式shared server).如果监听器知道多于一个实例提供所请求的服务,则可能会根据客户端与服务器端相关配置将请求定位到较低负载的实例为其			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RXjrp.html" rel="bookmark">详解Oracle RAC 环境下的连接管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章详细介绍了Oracle RAC环境下的连接管理,分别介绍了什么是 Connect Time Load Balancing.Runtime Connection Load Balancing.Connect Time Connection Failover 和 Runtime Connection Failover,以及里面所涉及到的 TAF.ONS.FCF.FAN.LBA 等诸多知识点.本文主要是针对 Oracle RAC 11gR2 环境下的连接管理,但同时也会对比说明一下 Oracl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NqnYM.html" rel="bookmark">asm ora 01031-Linux Oracle RAC 11g</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Linux Oracle RAC 11g Failed to connect to ASM instance. ORA-01031: insufficient privileges (DBD ERROR: OCISessionBegin)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0ooYM.html" rel="bookmark">Oracle RAC 11g r2查询太慢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更改最大连接数 Oracle RAC 11g r2查询太慢 --------------------------------------------------- Problem Description ---------------------------------------------------Redhat 5 双机 测试1:双实例,ASM磁盘组包含3个磁盘(SAN).在其中一个实例中执行: SELECT c.operaccount || ':' || c.PASSWORD || '@			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94rxKb.html" rel="bookmark">Oracle RAC failover 测试&lpar;连接时故障转移&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    Oracle RAC 集群最突出的表现就是高可用性,这些内容主要包括load balance以及failover,通过这些技术使得单点故障不影响客户端端应用程序对数据库的正常访问,以及通过创建service实现节点间负载均衡.本文主要描述Oracle 10g rac环境下的Oracle failover测试.    下面是一些关于这方面的基础参考或相关链接:  有关负监听配置,载均衡(load balance)以及Oracle service请参考    ORACLE RAC 监听配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA531b.html" rel="bookmark">Vmware 下Oracle RAC搬家引起CRS-1006&sol;CRS-0215&sol;CRS-0233</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   最近虚拟机下的Oracle 10g RAC搬家,搬家完毕之后,Oracle 集群resource之VIP无法正常启动,收到了CRS-0233: Resource or relatives are currently involved with another operation 错误提示.为为啥呢,原来啊,搬家了地址发生变化了,你得使用你家里的新地址阿.... 1.环境描述 Oracle 10g RAC + Suse 10 注,将RAC虚拟机搬家之后,通常情况下我们在添加虚拟机时选择复制(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYXqK9b.html" rel="bookmark">使用 runcluvfy 校验Oracle RAC安装环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				--***************************************** -- 使用 runcluvfy 校验Oracle RAC安装环境 --*****************************************       所谓工欲善其事,必先利其器.安装 Orale RAC 可谓是一个浩大的工程,尤其是没有做好前期的规划与配置工作时将导致安装的复杂 度绝非想象.幸好有runcluvfy工具,这大大简化了安装工作.下面的演示是基于安装Oracle 10g RAC /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2wG7z.html" rel="bookmark">【RAC】Oracle RAC环境的日志体系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Oracle RAC环境中比单个系统的日志体系要复杂:见下图: 简单介绍一下有关Oracle集群环境中日志体系结构,在遇到问题时,可以快速查找所需的日志文件,及时的定位问题~ 1.Oracle集群日志的文件路径 Oracle集群涉及的日志主要位于&quot;$GRID_HOME/log&quot;和&quot;$ORACLE_HOME/log&quot;目录中. 2.日志目录结构 clusterware 层的日志结构: grid@rac1:/home/grid&gt;tree -d $ORACLE_HO			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgd7Bp.html" rel="bookmark" class="title">三种方法实现实时切换CSS样式</a>
					<div>
						css 用W3C标准建造的网站,从理论上来说可以做到完全的表现与结构相分离.打个比方,就是可以在不动骨架(结构,XHMTL)和肌肉(行为,Javascript)的前提下,彻彻底底地换一身皮(表现,CS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOKNmz.html" rel="bookmark" class="title">建立自己的操作标准</a>
					<div>
						标准 当我们都在投入WEB标准的行列时,我们时常听到这样的声音:&quot;太慢了,制作这样的一张页面我需要花费比以前多数倍的时间.&quot;采用标准是不是真的会让你的制作变得很慢呢?我的回答是&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXVq4b.html" rel="bookmark" class="title">photoshop荷花作品的后期处理方法</a>
					<div>
						文/ 出处:网易 数码相机拍出来的荷花还要经过一番处理才能还原出荷花原本艳丽的色彩, 下面就告诉大家一种图片处理的方法. 首先将原图片缩小到合适的大小 一般来说在网上发布的图片长边不要超过660DPI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZAJOp.html" rel="bookmark" class="title">PhotoShop调色教程：让美女肤色更加红润</a>
					<div>
						接下来.. 1,打开图,先把人物皮磨好, 2,新建可选颜色层,做色彩变换处理,在绝对模式下调节此图, 3,在新建可选颜色层,这次在相对的模式下调此图. [1] [2] [3]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1519M.html" rel="bookmark" class="title">如何利用SEO技术快速渡过百度观察期</a>
					<div>
						网站的沙盒效应由最主要的搜索引擎Google引入的,新发布的网站通常都会进入google的沙盒内,在沙盒内,通常就是搜索引擎对新网站的一个观察期,所以网站越新排名就越低. 沙盒期就是搜索引擎给网站的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrLD6z.html" rel="bookmark" class="title">在ASP&period;NET 2&period;0中使用页面导航控件</a>
					<div>
						asp.net|控件|页面 几乎每个网站里,为了方便用户在网站中进行页面导航,都少不了使用页面导航控件.有了页面导航的功能,用户可以很方便地在一个复杂的网站中进行页面之间的跳转.在以往的WEB编程中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62YOLM.html" rel="bookmark" class="title">迅雷新功能：不下载不上传</a>
					<div>
						迅雷7.9.11的第一个优先体验版新功能不多,但是&quot;不下载不上传&quot;功能想必是部分雷友十分欢迎的.考虑到这个功能可能对下载速度产生一定影响,因此目前处于试验阶段.未来我们会根据统计数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0POR0M.html" rel="bookmark" class="title">C语言基础教程（六）Turbo C程序设计初步&lpar;3&rpar;</a>
					<div>
						第三步:实现该程序程序设计的最后一步是编写源码程序.在这一步,把模块的伪代码翻译成Turbo C语句. 对于源程序,你应包含注释方式的文件编制,以描述程序各个部分做何种工作.此外,源程序还应包含调试程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62dLYM.html" rel="bookmark" class="title">Dreamweaver自动更新链接</a>
					<div>
						  今天小编为大家介绍一下Dreamweaver怎么自动更新链接. 在菜单栏里单击&quot;编辑&quot;,在弹出的下拉菜单里选择&quot;首选参数&quot;.   在&quot; 首选参数& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4D29p.html" rel="bookmark" class="title">PS超强合成魔法书场景</a>
					<div>
						PS超强合成魔法书页中孩子们嬉戏的场景  效果图看上去的确非常强大,给人一种无限遐想的空间,仿佛又回到童年时代嬉戏的时光.不管是创意,配色,细节等都是无可挑剔.可见作者在制作的时候是花了一定心思的.用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB64yb.html" rel="bookmark" class="title">ps怎么制作梦幻的烟花文字&quest;</a>
					<div>
						      ps教程         ps怎么制作梦幻的烟花文字?         1.新建图层,使用定义好的画笔画礼花的形状 2.使用滤镜&gt;扭曲&gt;极坐标(极坐标到平面坐标) 3.执行图像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK8qNp.html" rel="bookmark" class="title">MySQL数据库与表的最基本命令</a>
					<div>
						你是否对获得MySQL数据库与表的最基本命令的实际操作感到十分头疼?如果是这样子的话,以下的文章将会给你相应的解决方案,以下的文章主要是介绍获得关于MySQL数据库与表的最基本命令的方案,以下就是相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNRJ1b.html" rel="bookmark" class="title">Excel VBA如何根据姓名自动插入照片</a>
					<div>
						  一.前提条件 在Excel的单元格中,已输入人物的姓名,并且,在姓名的下面,留有空的单元格待插入相应的图片. 如下图一样.比如,B1是姓名,而B3则是要根据张三这个姓名,自动将张三这个人的照片插入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b242rrp.html" rel="bookmark" class="title">PHP 数组current和next用法分享</a>
					<div>
						 本文这里通过示例给大家简单对比分析了PHP 数组current和next的用法,虽然示例很简单,但是对于我们理解current和next非常有帮助,这里推荐给大家.     1.current    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZNXNb.html" rel="bookmark" class="title">PS打造后期不一样的梦幻悬浮</a>
					<div>
						  首先是前期准备,构想很重要,你要明白你想要的最终效果是什么样的,以及如何去实现它,下面这张图就是最终效果,本期教程主讲一下如何制造出悬浮的妹纸,后期调色因人而异,就不多说. 为此,在前期拍摄了很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72K7Zp.html" rel="bookmark" class="title">嵌入式人工智能前端设备智能化前景广阔</a>
					<div>
						嵌入式人工智能是计算机视觉的一个方向,随着深度学习的兴起,在算法层面的准确度也相应提高,与之前相比,嵌入式人工智能的视频分析就是把云端或本地服务器的处理能力放到嵌入式系统上,使得它能够非常低功耗和实时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKNGOM.html" rel="bookmark" class="title">中国存贷款基准利率</a>
					<div>
						[&lt;财经&gt;综合报道] 中国人民银行决定,自2011年7月7日起上调金融机构人民币存贷款基准利率.金融机构一年期存贷款基准利率分别上调0.25个百分点,其他各档次存贷款基准利率及个人住房公积 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQQP0z.html" rel="bookmark" class="title">在Empire实战域渗透</a>
					<div>
						本文讲的是在Empire实战域渗透, 0x01 写在开始 上一篇文章只是单纯的介绍了一些Empire的基本用法,但这么强大的工具根本不是一篇文章可以说清楚的,就像Metasploit,如果我单纯写一篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVWX6b.html" rel="bookmark" class="title">关于一种页游服务器的想法</a>
					<div>
						     这几天一直写上层逻辑,因为是sns游戏的,所以压力不是很大,但还是想做一套页游mmorpg类游戏的框架.闲暇时候就玩玩天龙八部,读读征途的代码.机缘巧合,遇见了之前天龙八部的服务器引擎工程师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNGnDz.html" rel="bookmark" class="title">html-HTML中如何实现类似include功能</a>
					<div>
						问题描述 HTML中如何实现类似include功能 在HTML开发中,像导航栏,标题栏等等都是固定的,每个网页中都有. 有没有一种办法可以实现类似include的功能,只在一个html文件中修改就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBJx0M.html" rel="bookmark" class="title">EDNS0&lpar;DNS 扩展机制&rpar;的数据报格式是什么样的呢？</a>
					<div>
						问题描述 恳请各位达人知道EDNS0数据报头格式的,给一个下吗,下面是一般的查询报文的格式typedefstructdns{unsignedshortid;unsignedshortflags;uns ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWBoXM.html" rel="bookmark" class="title">判断WebSERVER类型</a>
					<div>
						判断WebSERVER类型 &lt;?PHP function WebServerSpy($ServerURL)    {     $filepointer = fsockopen($ServerUR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjN10M.html" rel="bookmark" class="title">中国邮政速递物流股份有限公司对外宣布</a>
					<div>
						中国邮政速递物流股份有限公司对外宣布,经中国证监会批准,中国邮政速递物流出于进行战略调整的考虑,撤回了IPO上市申请材料. 中国邮政速递物流2010年6月成立,2011年8月向中国证券监督管理委员会提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEryKM.html" rel="bookmark" class="title">屏幕上的一组显眼的销售数据，像加了压力的气泵猛烈串动</a>
					<div>
						10分钟100万,30分钟500万-,不到一小时,这个数字已经跳动到1000万.在茵曼品牌运营中心的办公大厅现场,所有人屏住了呼吸,目光都聚焦在墙上的大屏幕,屏幕上的一组显眼的销售数据,跟着时间的节奏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnW56M.html" rel="bookmark" class="title">C&num; winform打印分页 入门实例我看不懂啊</a>
					<div>
						问题描述 intcn=1;publicForm1(){InitializeComponent();}privatevoidprintDocument1_PrintPage(objectsender,S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAQxwb.html" rel="bookmark" class="title">2009年SEO九大法宝</a>
					<div>
						现在,我们需要离开2008年,做好准备迎接2009年的挑战了.为什么不关注于提升搜索引擎相关性为2009年做好准备?通过实现自然搜索准确性的最大化,在新的一年保持在搜索结果中的良好位置. 一.每一年, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8YJAb.html" rel="bookmark" class="title">人民网低调推出微博服务 上线不久就无法访问 原因不详</a>
					<div>
						12月22日下午消息,人民网的微型博客服务已低调对外推出,目前在人民网上尚没有人民微型博客的入口,但用户通过t.people.com.cn地址已经可以直接访问和注册,强国社区用户可直接登录. 人民微型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKWjdz.html" rel="bookmark" class="title">Ajax乱码问题整理&lowbar;AJAX相关</a>
					<div>
						产生原因主要有2个原因1 xtmlhttp 返回的数据默认的字符编码是utf-8,如果前台页面是gb2312或者其它编码数据就会产生乱码2 post方法提交数据默认的字符编码是utf-8,如果后台是g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0RvNp.html" rel="bookmark" class="title">超级Mailto功能</a>
					<div>
						Mailto 能让访问者方便地向网站提供反馈或联系信息.除了自动产生一个email消息外,你还可以使用mailto做许多其他事情.超级Mailto能自动填写抄送和密件抄送,甚至能自动填充主题行.下面介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWXk8z.html" rel="bookmark" class="title">类型不匹配错误。利用Java反射技术将查询结果封装为对象</a>
					<div>
						问题描述 packagecom.jdbc;importjava.lang.reflect.InvocationTargetException;importjava.lang.reflect.Metho ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
